{% extends "base.html" %}


{# ----- HEAD ----- #}

{% if article.media_urls %}
  {% set article_type = "media" %}
{% else %}
  {% set article_type = "long" %}
{% endif %}

{% block html_lang %}{{ article.lang }}{% endblock %}
{% block title %}{{super()}} &mdash; {{article.title}}{% endblock %}
{% block meta_title %}{{super()}} &mdash; {{article.title}}{% endblock %}
{% block meta_description %}{{article.short}}{% endblock %}

{% block head %}
  {{ super() }}
  <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/{{ THEME_STATIC_DIR }}/css/article.css" />
{% endblock %}

{% block body_class %}
  article article--{{article_type}}
{% endblock body_class %}


{# ----- MACRO ----- #}

{% macro article_header(article) %}
    <a href="{{ SITEURL }}/home.html" class="button-link">home</a>

    <h1 class="article__title">
      {#
      <a href="{{ SITEURL }}/{{ article.url }}" rel="bookmark"
        title="Permalink to {{ article.title|striptags }}"> #}
        {{ article.title }}
    </h1>

  {% if article.short %}
  <div class="article__short">
      {{article.short}}
  </div>
  {% endif %}

  {% if article.tags %}
  <ul class="tags comma-list">
      {% for tag in article.tags %}
          <!-- <li><a href="{{ SITEURL }}/{{ tag.url }}">{{tag}}</a></li> -->
          <li>{{tag}}</li>
      {% endfor %}
  </ul>
  {% endif %}
{% endmacro %}

{% macro article_footer(article) %}
    <time class="date published" datetime="{{ article.date.isoformat() }}">
      {{ article.locale_date }}
    </time>
    {% if article.modified %}
    <time class="date modified" datetime="{{ article.modified.isoformat() }}">
      (last modified: {{ article.locale_modified }})
    </time>
    {% endif %}
{% endmacro %}

{# ----- ARTICLE CONTENT ----- #}

{% block content %}

{% if article_type == "long" %}

  <section class="article__aside full-h-sticky">
    <header class="article__header pad text-long">
      {{ article_header(article) }}
    </header>
    <div class="article__toc pad text-small">
      {{ article.toc }}
    </div>
    <footer class="article__footer pad text-small">
      {{ article_footer(article) }}
    </footer>
  </section>

  <section class="article__text pad-big text-long">
    <main class="article__content">
      {{ article.content }}
    </main>
  </section>

{% elif article_type == "media" %}

  <section class="article__text full-h-sticky">
    <header class="article__header pad-big text-long">
      {{ article_header(article) }}
    </header>
    <main class="article__content pad-big text-long">
      {{ article.content }}
    </main>
    <footer class="article__footer pad-big text-small">
      {{ article_footer(article) }}
    </footer>
  </section>

  <section class="article__media pad full-h-sticky">
    {% for media_url in article.media_urls %}
      <a href="/{{ media_url }}" target="_blank" title="open media in a new tab">
        <img src="/{{ media_url }}" alt="{# TODO #}">
      </a>
    {% endfor %}
  </section>

{% endif %}

{% endblock %}
